package com.ssm.model.system;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.ssm.util.page.BaseEntity;

public class SysUser extends BaseEntity implements Serializable{
	
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Integer userid;

    private String username;

    private String usernameen;
    
    private String employeeno;

    private String gender;

    private String password;
    
    private SysDepartment sysDepartment;

    private SysPosition sysPosition;

    private String phonenumber;

    private String mobilenumber;

    private String emailaddress;

    private String area;

    private String linemanagerid;

    private Date entrydate;

    private Date birthday;

    private String headimageurl;

    private String ownedcompany;

    private String worklocation;

    private String address;

    private Date lastlogindate;

    private String lastloginip;

    private Integer logincounts;

    private Boolean isenabled;

    private Boolean isdeleted;

    private Integer createduserid;

    private Date createddatetime;

    private Integer lastupdateuserid;

    private Date lastupdatedatetime;
    
    private List<SysRole> roleList;

	private String j_password;//旧密码
    
    private String cf_password;//重复输入密码
    public String getJ_password() {
		return j_password;
	}

	public void setJ_password(String j_password) {
		this.j_password = j_password;
	}

	public String getCf_password() {
		return cf_password;
	}

	public void setCf_password(String cf_password) {
		this.cf_password = cf_password;
	}

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    public String getUsernameen() {
        return usernameen;
    }

    public void setUsernameen(String usernameen) {
        this.usernameen = usernameen == null ? null : usernameen.trim();
    }

    public String getEmployeeno() {
        return employeeno;
    }

    public void setEmployeeno(String employeeno) {
        this.employeeno = employeeno == null ? null : employeeno.trim();
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender == null ? null : gender.trim();
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password == null ? null : password.trim();
    }
    
    public SysDepartment getSysDepartment() {
		return sysDepartment;
	}

	public void setSysDepartment(SysDepartment sysDepartment) {
		this.sysDepartment = sysDepartment;
	}

	public SysPosition getSysPosition() {
		return sysPosition;
	}

	public void setSysPosition(SysPosition sysPosition) {
		this.sysPosition = sysPosition;
	}

	public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber == null ? null : phonenumber.trim();
    }

    public String getMobilenumber() {
        return mobilenumber;
    }

    public void setMobilenumber(String mobilenumber) {
        this.mobilenumber = mobilenumber == null ? null : mobilenumber.trim();
    }

    public String getEmailaddress() {
        return emailaddress;
    }

    public void setEmailaddress(String emailaddress) {
        this.emailaddress = emailaddress == null ? null : emailaddress.trim();
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area == null ? null : area.trim();
    }

    public String getLinemanagerid() {
        return linemanagerid;
    }

    public void setLinemanagerid(String linemanagerid) {
        this.linemanagerid = linemanagerid == null ? null : linemanagerid.trim();
    }

    public Date getEntrydate() {
        return entrydate;
    }

    public void setEntrydate(Date entrydate) {
        this.entrydate = entrydate;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public String getHeadimageurl() {
        return headimageurl;
    }

    public void setHeadimageurl(String headimageurl) {
        this.headimageurl = headimageurl == null ? null : headimageurl.trim();
    }

    public String getOwnedcompany() {
        return ownedcompany;
    }

    public void setOwnedcompany(String ownedcompany) {
        this.ownedcompany = ownedcompany == null ? null : ownedcompany.trim();
    }

    public String getWorklocation() {
        return worklocation;
    }

    public void setWorklocation(String worklocation) {
        this.worklocation = worklocation == null ? null : worklocation.trim();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public Date getLastlogindate() {
        return lastlogindate;
    }

    public void setLastlogindate(Date lastlogindate) {
        this.lastlogindate = lastlogindate;
    }

    public String getLastloginip() {
        return lastloginip;
    }

    public void setLastloginip(String lastloginip) {
        this.lastloginip = lastloginip == null ? null : lastloginip.trim();
    }

    public Integer getLogincounts() {
        return logincounts;
    }

    public void setLogincounts(Integer logincounts) {
        this.logincounts = logincounts;
    }

    public Boolean getIsenabled() {
        return isenabled;
    }

    public void setIsenabled(Boolean isenabled) {
        this.isenabled = isenabled;
    }

    public Boolean getIsdeleted() {
        return isdeleted;
    }

    public void setIsdeleted(Boolean isdeleted) {
        this.isdeleted = isdeleted;
    }

    public Integer getCreateduserid() {
        return createduserid;
    }

    public void setCreateduserid(Integer createduserid) {
        this.createduserid = createduserid;
    }

    public Date getCreateddatetime() {
        return createddatetime;
    }

    public void setCreateddatetime(Date createddatetime) {
        this.createddatetime = createddatetime;
    }

    public Integer getLastupdateuserid() {
        return lastupdateuserid;
    }

    public void setLastupdateuserid(Integer lastupdateuserid) {
        this.lastupdateuserid = lastupdateuserid;
    }

    public Date getLastupdatedatetime() {
        return lastupdatedatetime;
    }

    public void setLastupdatedatetime(Date lastupdatedatetime) {
        this.lastupdatedatetime = lastupdatedatetime;
    }

	public List<SysRole> getRoleList() {
		return roleList;
	}

	public void setRoleList(List<SysRole> roleList) {
		this.roleList = roleList;
	}

	@Override
	public String toString() {
		return "SysUser [userid=" + userid + ", username=" + username + ", usernameen=" + usernameen + ", employeeno="
				+ employeeno + ", gender=" + gender + ", password=" + password + ", sysDepartment=" + sysDepartment
				+ ", sysPosition=" + sysPosition + ", phonenumber=" + phonenumber + ", mobilenumber=" + mobilenumber
				+ ", emailaddress=" + emailaddress + ", area=" + area + ", linemanagerid=" + linemanagerid
				+ ", entrydate=" + entrydate + ", birthday=" + birthday + ", headimageurl=" + headimageurl
				+ ", ownedcompany=" + ownedcompany + ", worklocation=" + worklocation + ", address=" + address
				+ ", lastlogindate=" + lastlogindate + ", lastloginip=" + lastloginip + ", logincounts=" + logincounts
				+ ", isenabled=" + isenabled + ", isdeleted=" + isdeleted + ", createduserid=" + createduserid
				+ ", createddatetime=" + createddatetime + ", lastupdateuserid=" + lastupdateuserid
				+ ", lastupdatedatetime=" + lastupdatedatetime + ", roleList=" + roleList + ", j_password=" + j_password
				+ ", cf_password=" + cf_password + "]";
	}
    
	
}